package com.ejie.ab63.model;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Ab6325s00  
 * 
 *  
 */

public class ZonaOcio implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idZonaOcio;
	private EstablecimientoData establecimientoData;
	private BigDecimal numSuperficie;
	private String descripcion;
	private String descripcionEu;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Ab6325s00'.
	 */
	public ZonaOcio() {
	}

	/**
	 * Method 'Ab6325s00'.
	 * 
	 * @param idAseo
	 *            Integer
	 */
	public ZonaOcio(Integer idZonaOcio) {
		this.idZonaOcio = idZonaOcio;
	}

	/**
	 * Method 'Ab6325s00'.
	 * 
	 * @param idAseo
	 *            Integer
	 * @param ubicacion
	 *            String
	 * @param numUnidades
	 *            Long
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 * @param ab6321s00
	 *            Ab6321s00
	 * @param ab6316s00
	 *            Ab6316s00
	 */
	public ZonaOcio(Integer idZonaOcio, BigDecimal numSuperficie, String descripcion, String descripcionEu,
			EstablecimientoData ab6321s00, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion,
			String usuarioUltmodificacion) {

		this.idZonaOcio = idZonaOcio;
		this.establecimientoData = ab6321s00;
		this.numSuperficie = numSuperficie;
		this.descripcion = descripcion;
		this.descripcionEu = descripcionEu;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getAb6321s00'.
	 *
	 * @return Ab6321s00
	 */

	public EstablecimientoData getEstablecimientoData() {
		return this.establecimientoData;
	}

	/**
	 * Method 'setAb6321s00'.
	 *
	 * @param ab6321s00
	 *            Ab6321s00
	 * @return
	 */

	public void setEstablecimientoData(EstablecimientoData ab6321s00) {
		this.establecimientoData = ab6321s00;
	}

	public Integer getIdZonaOcio() {
		return idZonaOcio;
	}

	public void setIdZonaOcio(Integer idZonaOcio) {
		this.idZonaOcio = idZonaOcio;
	}

	public BigDecimal getNumSuperficie() {
		return numSuperficie;
	}

	public void setNumSuperficie(BigDecimal numSuperficie) {
		this.numSuperficie = numSuperficie;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	@Override
	public String toString() {
		return "ZonaOcio [idZonaOcio=" + idZonaOcio + ", establecimientoData=" + establecimientoData
				+ ", numSuperficie=" + numSuperficie + ", descripcion=" + descripcion + "]";
	}

	public Date getFechaRegistro() {
		return fechaRegistro;
	}

	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	public String getUsuarioRegistro() {
		return usuarioRegistro;
	}

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	public Date getFechaUltmodificacion() {
		return fechaUltmodificacion;
	}

	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	public String getUsuarioUltmodificacion() {
		return usuarioUltmodificacion;
	}

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	public String getDescripcionEu() {
		return descripcionEu;
	}

	public void setDescripcionEu(String descripcionEu) {
		this.descripcionEu = descripcionEu;
	}

}
